curl https://api.thanxsandbox.com/upload_url \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"upload_url": {
"url": "https://thanx.s3.amazonaws.com/uploads/receipts/image_5051555_1534872299.jpeg?AWS-PARAMS",
"file_path": "uploads/receipts/image_5051555_1534872299.jpeg"
}
}
Receipts
Get Upload URL
This endpoint provides a pre-signed url where an image or file can be uploaded.
GET
/
upload_url
curl https://api.thanxsandbox.com/upload_url \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"upload_url": {
"url": "https://thanx.s3.amazonaws.com/uploads/receipts/image_5051555_1534872299.jpeg?AWS-PARAMS",
"file_path": "uploads/receipts/image_5051555_1534872299.jpeg"
}
}
In order to submit a receipt to Thanx, you must first make a request to the API to get a pre-signed upload URL. Once you have uploaded the image to this URL, make a
POST /receipts request to create the receipt in Thanx.Please review proper request headers here.
file_path can be used as the input to the POST /receipts endpoint.
Parameters
string
required
The type of upload; currently only option is (
receipt)Response
string
Url to upload the image to
string
Path where the image will be saved
curl https://api.thanxsandbox.com/upload_url \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"upload_url": {
"url": "https://thanx.s3.amazonaws.com/uploads/receipts/image_5051555_1534872299.jpeg?AWS-PARAMS",
"file_path": "uploads/receipts/image_5051555_1534872299.jpeg"
}
}